Skip to main content
`Ctrl`+`K`

# MATPARTITIONINGPARMETIS

Creates a partitioning context via the external package PARMETIS. Collective

## Input Parameter

- part - the partitioning context

## Options Database Key

- -mat_partitioning_parmetis_coarse_sequential - use sequential PARMETIS coarse partitioner

## Note

See https://www-users.cs.umn.edu/~karypis/metis/

## See Also

`MatPartitioningSetType()`, `MatPartitioningType`, `MatPartitioningParmetisSetCoarseSequential()`, `MatPartitioningParmetisSetRepartition()`, `MatPartitioningParmetisGetEdgeCut()`

## Level

beginner

## Location

src/mat/graphops/partition/impls/pmetis/pmetis.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages